Subject: Re: bug#37940: endless "try upgrading both" cycles

From: Mark H Weaver <[email-masked]>
Date: Sun, 27 Oct 2019 13:37:50 -0400

Hi Arne,

Arne Babenhauserheide <[email-masked]> writes:
> When installing a package while some packages are not up to date, guix
> can require adding more and more packages to guix install:
[...]
> guix install: error: profile contains conflicting entries for util-linux
> guix install: error:   first entry: [email-masked] /gnu/store/xymkwf57x988q8cny2is1dgzrbr9xdfi-util-linux-2.34
> guix install: error:    ... propagated from [email-masked]
> guix install: error:    ... propagated from [email-masked]
> guix install: error:   second entry: [email-masked] /gnu/store/8k4pnixpz73kxvxbjqajgbprjjmmgpxy-util-linux-2.32.1
> hint: Try upgrading both `poppler' and `util-linux', or remove one of them from the profile.

I just wanted to briefly mention that if you use the "declarative
approach" to specifying user profiles, via the --manifest option to
"guix package", you will avoid this problem entirely.  I've been happily
using that approach for years, and I literally cannot remember the last
time I saw a "conflicting entries" message.  I heartily recommend it.

      Mark